# GW170817
Copyright © 2017
Max Planck Institute for Gravitational Physics

# Install instructions

1. Download our pre-built binary for your operating system
1. Download and install the Qt framework:
   - macOS:
     - Use MacPorts to install the `qt4-mac` package
     - **or** run the [installer]( http://download.qt.io/archive/qt/4.8/4.8.6/qt-opensource-mac-4.8.6-1.dmg)
   - Linux: use your distribution's package manager and install [`libqt4-opengl`](https://packages.debian.org/stretch/libqt4-opengl) (incl. `libqtcore4` and `libqtgui4`)
   - Windows: run the [installer](http://download.qt.io/archive/qt/4.8/4.8.6/qt-opensource-windows-x86-mingw482-4.8.6-1.exe)

# Build instructions

1. Download and install the Qt framework as described above
   - Note for macOS when using MacPorts:
     - Run once: `sudo ln -s /opt/local/libexec/qt4/bin/qmake /opt/local/bin/qmake`
1. Run the following command in the project's `lib` directory:
   - `make`
1. Run the following commands in the project's root directory:
   1. `qmake`
   1. `make`
