# ##############################################################################
# Copyright (C) 2017 by Oliver Bock                                            #
# oliver.bock[AT]aei.mpg.de                                                    #
#                                                                              #
# This file is part of PulsatingScience.                                       #
#                                                                              #
# PulsatingScience is free software: you can redistribute it and/or modify     #
# it under the terms of the GNU General Public License as published            #
# by the Free Software Foundation, version 3 of the License.                   #
#                                                                              #
# PulsatingScience is distributed in the hope that it will be useful,          #
# but WITHOUT ANY WARRANTY; without even the implied warranty of               #
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                 #
# GNU General Public License for more details.                                 #
#                                                                              #
# You should have received a copy of the GNU General Public License            #
# along with PulsatingScience. If not, see <http://www.gnu.org/licenses/>.     #
#                                                                              #
# ##############################################################################
TEMPLATE = app
TARGET = GW170817
CONFIG += qt warn_on debug_and_release
QT += core \
    gui \
    opengl
HEADERS += src/pulsaranimationwidget.h \
    src/pulsescopewidget.h \
    src/pulsatingscience.h \
    src/common.h \
    src/plotdata.h \
    lib/antenna_lib.h
SOURCES += src/pulsaranimationwidget.cpp \
    src/pulsescopewidget.cpp \
    src/pulsatingscience.cpp \
    src/main.cpp \
    src/plotdata.cpp
LIBS += -L$$_PRO_FILE_PWD_/lib -lantenna
FORMS += src/pulsatingscience.ui
RESOURCES += src/pulsatingscience.qrc

win32 {
    RC_FILE = src/resources/pulsatingscience.rc
}
macx {
    QMAKE_LFLAGS += -bind_at_load
    ICON = src/resources/pulsatingscience.icns
}

INCLUDEPATH += ./
UI_DIR = src/.ui
RCC_DIR  = src/.rcc
MOC_DIR = src/.moc
OBJECTS_DIR = src/.obj
