#ifndef PLOTDATA_H
#define PLOTDATA_H

#include <QObject>
#include <QVector>
#include <QString>

#include "common.h"

class PlotData : public QObject
{
    Q_OBJECT

public:
    PlotData();

    // let's make these private and add getters/setters later :-p
    QVector<double> m_dataLHO;
    QVector<double> m_dataLLO;
    QVector<double> m_dataVirgo;

    double m_ampLHO;
    double m_ampLLO;
    double m_ampVirgo;

    double m_phiLHO;
    double m_phiLLO;
    double m_phiVirgo;

    double m_dtLHO;
    double m_dtLLO;
    double m_dtVirgo;

    QString m_colorLHO;
    QString m_colorLLO;
    QString m_colorVirgo;
};

#endif // PLOTDATA_H
